Bug 1765806 - Can't upgrade to F31 because scribus-generator requires python2-tkinter
Summary: Can't upgrade to F31 because scribus-generator requires python2-tkinter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scribus-generator
Version: 31
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-26 07:48 UTC by ozeszty
Modified: 2019-11-05 05:28 UTC (History)
1 user (show)

Fixed In Version: scribus-generator-2.8.1-3.fc30 scribus-generator-2.8.1-3.fc31 scribus-generator-2.8.1-3.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 03:56:49 UTC
Type: Bug


Attachments (Terms of Use)

Description ozeszty 2019-10-26 07:48:24 UTC
Description of problem:
Cannot perform upgrade to F31 because scribus-generator requires missing python2-tkinter.

Version-Release number of selected component (if applicable):
scribus-generator-2.8.1-1.fc30.noarch -> scribus-generator-2.8.1-2.fc31.noarch

How reproducible:
Always.

Steps to Reproduce:
1. dnf system-upgrade download --releasever=31
2. Error
3. Same problem with: dnf system-upgrade download --releasever=31  --enablerepo=*testing --skip-broken

Actual results:
Upgrade stops with:
Problem: problem with installed package scribus-generator-2.8.1-1.fc30.noarch
  - package scribus-generator-2.8.1-2.fc31.noarch requires tkinter, but none of the providers can be installed
  - scribus-generator-2.8.1-1.fc30.noarch does not belong to a distupgrade repository
  - python2-tkinter-2.7.17-1.fc30.x86_64 does not belong to a distupgrade repository

Expected results:
python3-tkinter is used instead and upgrade finishes with success.

Comment 1 Fedora Update System 2019-10-26 18:02:12 UTC
FEDORA-2019-44e07a5f6e has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-44e07a5f6e

Comment 2 Fedora Update System 2019-10-27 02:28:16 UTC
FEDORA-2019-5d5a5e4f66 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5d5a5e4f66

Comment 3 Fedora Update System 2019-10-27 02:28:20 UTC
FEDORA-2019-a4b7f2a92a has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a4b7f2a92a

Comment 4 Fedora Update System 2019-10-27 03:55:08 UTC
scribus-generator-2.8.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-44e07a5f6e

Comment 5 Fedora Update System 2019-10-27 04:08:16 UTC
scribus-generator-2.8.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b525b7aef6

Comment 6 Fedora Update System 2019-11-05 03:56:49 UTC
scribus-generator-2.8.1-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-11-05 04:15:00 UTC
scribus-generator-2.8.1-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-11-05 05:28:43 UTC
scribus-generator-2.8.1-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.